[lfs-book] r10017 - in trunk/BOOK: bootscripts/lfs/init.d udev-lfs

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Sat Oct 13 17:10:38 PDT 2012


Author: bdubbs
Date: 2012-10-13 18:10:34 -0600 (Sat, 13 Oct 2012)
New Revision: 10017

Modified:
   trunk/BOOK/bootscripts/lfs/init.d/checkfs
   trunk/BOOK/bootscripts/lfs/init.d/udev
   trunk/BOOK/bootscripts/lfs/init.d/udev_retry
   trunk/BOOK/udev-lfs/Makefile.lfs
Log:
Include some omitted boot script changes

Modified: trunk/BOOK/bootscripts/lfs/init.d/checkfs
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/checkfs	2012-10-13 16:14:09 UTC (rev 10016)
+++ trunk/BOOK/bootscripts/lfs/init.d/checkfs	2012-10-14 00:10:34 UTC (rev 10017)
@@ -46,7 +46,6 @@
          msg="/fastboot found, will omit "
          msg="${msg} file system checks as requested.\n"
          log_info_msg "${msg}"
-         rm /fastboot
          exit 0
       fi
 
@@ -74,18 +73,16 @@
          msg="${msg} system checks as requested."
          log_success_msg "$msg"
          options="-f"
-         rm /forcefsck
       else
          options=""
       fi
 
       log_info_msg "Checking file systems..."
-      
       # Note: -a option used to be -p; but this fails e.g. on fsck.minix
       if is_true "$VERBOSE_FSCK"; then
-         fsck ${options} -a -A -C -T
+        fsck ${options} -a -A -C -T
       else
-         fsck ${options} -a -A -C -T >/dev/null
+        fsck ${options} -a -A -C -T >/dev/null
       fi
 
       error_value=${?}

Modified: trunk/BOOK/bootscripts/lfs/init.d/udev
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/udev	2012-10-13 16:14:09 UTC (rev 10016)
+++ trunk/BOOK/bootscripts/lfs/init.d/udev	2012-10-14 00:10:34 UTC (rev 10017)
@@ -58,7 +58,9 @@
       /sbin/udevadm trigger --action=change --type=devices
 
       # Now wait for udevd to process the uevents we triggered
-      /sbin/udevadm settle
+      if ! is_true "$OMIT_UDEV_SETTLE"; then
+         /sbin/udevadm settle
+      fi
 
       # If any LVM based partitions are on the system, ensure they
       # are activated so they can be used.

Modified: trunk/BOOK/bootscripts/lfs/init.d/udev_retry
===================================================================
--- trunk/BOOK/bootscripts/lfs/init.d/udev_retry	2012-10-13 16:14:09 UTC (rev 10016)
+++ trunk/BOOK/bootscripts/lfs/init.d/udev_retry	2012-10-14 00:10:34 UTC (rev 10017)
@@ -57,7 +57,10 @@
       done
 
       # Now wait for udevd to process the uevents we triggered
-      /sbin/udevadm settle
+      if ! is_true "$OMIT_UDEV_RETRY_SETTLE"; then
+         /sbin/udevadm settle
+      fi
+
       evaluate_retval
       ;;
 

Modified: trunk/BOOK/udev-lfs/Makefile.lfs
===================================================================
--- trunk/BOOK/udev-lfs/Makefile.lfs	2012-10-13 16:14:09 UTC (rev 10016)
+++ trunk/BOOK/udev-lfs/Makefile.lfs	2012-10-14 00:10:34 UTC (rev 10017)
@@ -204,7 +204,7 @@
       build/udev-local.a build/$(COMMON_LIB)
 	$(VB)strip --strip-unneeded $@
 
-build/udevadm: $(UDEV_ADMIN_OBJS)
+build/udevadm: $(UDEV_ADMIN_OBJS) build/$(COMMON_LIB)
 	@echo LINK $@
 	$(VB)gcc $(UDEV_ADMIN_OBJS) -o $@ $(LDFLAGS2) build/$(COMMON_LIB)
 	$(VB)strip --strip-unneeded $@




More information about the lfs-book mailing list